Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005114 [JEDI VCL] 00 JVCL Components crash always 2010-01-15 20:36 2011-06-10 16:09
Reporter Cyrus View Status public  
Assigned To
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005114: JvStringGrid component raises EAccessviolation when trying to use ActivateCell method.
Description Delphi 7.0.

---

procedure TJvStringGrid.GMActivateCell(var Msg: TGMActivateCell);
begin
  Col := Msg.Column;
  Row := Msg.Row;
  EditorMode := True;
  InplaceEditor.SelectAll;
end;

When this method is called, InplaceEditor is nil so that is why this error shows up.

Attached fix for JvStringGrid.pas revision 12461.
Additional Information
Tags Delphi 7.0
Attached Files ? file icon JvStringGrid.pas.patch [^] (354 bytes) 2010-01-15 20:36

- Relationships

-  Notes
(0017237)
obones (administrator)
2010-03-08 15:22

Thanks, this is now fixed in SVN

- Issue History
Date Modified Username Field Change
2010-01-15 20:36 Cyrus New Issue
2010-01-15 20:36 Cyrus File Added: JvStringGrid.pas.patch
2010-01-15 20:37 Cyrus Tag Attached: Delphi 7.0
2010-01-30 14:27 Cyrus Issue Monitored: Cyrus
2010-03-08 15:22 obones Note Added: 0017237
2010-03-08 15:22 obones Status new => resolved
2010-03-08 15:22 obones Resolution open => fixed
2010-03-08 15:22 obones Fixed in Version => Daily / SVN
2010-03-08 15:22 obones Target Version => 3.40 - not yet released
2011-06-10 16:09 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker